[lkml]   [2007]   [May]   [7]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
Patch in this message
Subject[PATCH] improve scripts/ output a bit when called without args
Currently, if you call scripts/ without arguments it will 
generate this output :

$ sh scripts/
scripts/ line 17: -E: command not found
scripts/ line 18: -E: command not found
Not too pretty. I believe this is an improvement :

$ sh scripts/
Error: No compiler specified.
scripts/ <gcc-command>

as implemented by the patch below.

Not really important, just something I noticed, cleaned up and generated a
patch for.
If you like it you can have it. If you hate it just ignore it :)

Signed-off-by: Jesper Juhl <>
scripts/ | 6 ++++++
1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/scripts/ b/scripts/
index bb4fbea..59a03a4 100644
--- a/scripts/
+++ b/scripts/
@@ -8,6 +8,12 @@


+if [ ${#compiler} -eq 0 ]; then
+ echo "Error: No compiler specified."
+ echo -e "Usage:\n\t$0 <gcc-command>"
+ exit 1
MAJOR=$(echo __GNUC__ | $compiler -E -xc - | tail -n 1)
MINOR=$(echo __GNUC_MINOR__ | $compiler -E -xc - | tail -n 1)
printf "%02d%02d\\n" $MAJOR $MINOR

To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to
More majordomo info at
Please read the FAQ at

 \ /
  Last update: 2007-05-07 17:21    [from the cache]
©2003-2014 Jasper Spaans. hosted at Digital Ocean